#%define date    %(echo `date +"%y%m%d"`)

%define name 	libxine
%define version 1.0rc0a
%define dirversion 1.0.0
#%define release %{date}
%define release	b1

##%define major	1
#%define major	+
#%define libname	%{name}%{major}
%define libname	xine-lib

Name:        %{name}
Summary:     A portable video/audio library for unix-like systems.
Version:     %{version}
Release:     %{release}
License:     GPL
Group:       Development/Libraries
#Source:      http://xinehq.de/files/xine-lib-1-cvs.tar.gz
Source:      %{libname}-%{version}.tar.bz2
URL:         http://xinehq.de/
BuildPreReq: zlib
BuildRoot:   %{_tmppath}/%{name}-buildroot

BuildArchitectures: i586

%description
%{name} is the beating heart of xine (a free gpl-licensed video player for
unix-like systems) which among others provides support for decoding (and
playing back) of many today available audio/video codecs, like mpeg-4 (DivX),
mpeg-2 (DVD, SVCD), mpeg-1 (VCD), Quicktime and RealMedia just to name a few.
This library contains (and uses) numerous processor specific optimizations to
provide a smooth playback and to minimize the overall demand of CPU power.

Don't hesitate to use %{name} in your own projects as long as your usage
complies to the GPL. More information about GPL-license can be found at
http://www.gnu.org/licenses/gpl.html


%package -n %{libname}
Summary:   Required libs to run programs dynamically linked with %{name}.
Summary(cs): Knihovny nutn?pro b? program?dynamicky linkovan?h s %{name}
Summary(de): Ben?igte Bibliotheken, um Programme, die dynamisch gegen %{name} gelinkt sind, benutzen zu k?nen.
Summary(fi): Tarvittavat kirjastot ohjelman ajamiseen linkitettyn?%{name}:n kanssa.
Group:	   Development/Libraries
Provides:  %{name} = %{version}-%{release}
Requires:  zlib

%description -n %{libname}
This package is required to run programs dynamically linked with %{name}.

%{name} is the beating heart of xine (a free gpl-licensed video player for
unix-like systems) which among others provides support for decoding (and
playing back) of many today available audio/video codecs, like mpeg-4 (DivX),
mpeg-2 (DVD, SVCD), mpeg-1 (VCD), Quicktime and RealMedia just to name a few.
This library contains (and uses) numerous processor specific optimizations to
provide a smooth playback and to minimize the overall demand of CPU power.

Don't hesitate to use %{name} in your own projects as long as your usage
complies to the GPL. More information about GPL-license can be found at
http://www.gnu.org/licenses/gpl.html


%package -n %{libname}-devel
Summary:   Header files and documentation to develope programs with %{name}.
Summary(cs): Hlavi?ov?soubory a dokumentace pro v?oj program?pouvaj??h %{name}.
Summary(de): Headerdateien und Dokumentationen, um Programme mit %{name} entwickeln zu k?nen.
Summary(fi): Header-tiedostot ja dokumentaatio, joita tarvitset kehitt?ss?i ohjelmia %{name}:n kanssa.
Group:	   Development/Libraries
Obsoletes: xine-lib-devel libxine0-devel
Provides:  %{name}-devel = %{version}-%{release}
Requires:  %{libname} = %{version}-%{release}

%description -n %{libname}-devel
This package contains header files and documentation required to develope
programs with %{name}.

%{name} is the beating heart of xine (a free gpl-licensed video player for
unix-like systems) which among others provides support for decoding (and
playing back) of many today available audio/video codecs, like mpeg-4 (DivX),
mpeg-2 (DVD, SVCD), mpeg-1 (VCD), Quicktime and RealMedia just to name a few.
This library contains (and uses) numerous processor specific optimizations to
provide a smooth playback and to minimize the overall demand of CPU power.

Don't hesitate to use %{name} in your own projects as long as your usage
complies to the GPL. More information about GPL-license can be found at
http://www.gnu.org/licenses/gpl.html


%prep
%setup -q -n %{libname}-%{version}

%build
export CFLAGS="%{optflags}"

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
# Use BUILD_ARGS envvar to pass extra parameters to configure (like --enable-dha-mod/etc...)
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir} $BUILD_ARGS
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{?buildroot:%{buildroot}} LIBRARY_PATH=%{?buildroot:%{buildroot}}%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc README TODO AUTHORS COPYING ChangeLog
%doc %{_datadir}/doc/xine/READ*
%doc %{_datadir}/doc/xine/*.dia
%doc %{_datadir}/doc/xine/faq/faq.*
%{_bindir}/xine-config
%{_libdir}/libxine*.so.*
%{_libdir}/pkgconfig/*
%{_libdir}/xine/plugins/%{dirversion}/xineplug_*
%{_libdir}/xine/plugins/%{dirversion}/post/*
%{_datadir}/xine/libxine1/fonts/*
%{_mandir}/man1/*
%{_datadir}/locale/*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc/hackersguide/*.sgml doc/hackersguide/*.fig doc/hackersguide/README
%{_libdir}/libxine*.so
%{_libdir}/libxine*.la
%{_includedir}/xine.h
%{_includedir}/xine/*.h
%{_datadir}/aclocal/xine.m4
#%ifos linux
##/lib/modules/%(sh -c 'uname -r')/misc/dhahelper.o
#%endif
%ifos linux freebsd
%ifarch i386 i486 i586 i686 i786 i868 i968 k6 k7 athlon
%{_libdir}/xine/plugins/%{dirversion}/vidix/*_vid.*
%endif
%endif


##
## Change log
##

%changelog
* Sun Aug 3 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1-rc0a
* Sat May 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from http://cambuca.ldhs.cetuc.puc-rio.br/xine/
